Debian Bug report logs - #350601
awstats: Could not process Real logs in w3c format

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: Lee Maguire <lee-debian@hexkey.co.uk>

Date: Mon, 30 Jan 2006 17:33:04 UTC

Severity: normal

Found in version awstats/6.5-1

Fixed in version awstats/6.9.5~dfsg-3

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3003438&group_id=13764&atid=113764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#350601; Package awstats. Full text and rfc822 format available.

Acknowledgement sent to Lee Maguire <lee-debian@hexkey.co.uk>:
New Bug report received and forwarded. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lee Maguire <lee-debian@hexkey.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: awstats: Could not process Real logs in w3c format
Date: Mon, 30 Jan 2006 17:21:38 +0000
Package: awstats
Version: 6.5-1
Severity: normal

Attempting to run awstats on a realserver log provided to us in W3C
format resulted in all entries being dropped.  Showing the dropped
entries gave output like this:

  Dropped record (method/protocol 'RTSP' not qualified when LogType=S):
  10.1.1.1 2006-01-28 13:08:54 -- rtsp://real.example.com/blah/example.rm 1138453734 128 -- 200 999-999 6.0.12.1 ar-eg RN30DL -- RealPlayer 6.0.12.1 WinNT 5.1 686 280 10367990 -- RTSP UDP 44_Kbps_Stereo_Music_High_Response_-_RealAudio -- -- 1980572 -- -- -- -- -- -- 571 -- -- -- -- -- -- -- -- --

Looking at the code - "rtsp" is recognised, but only in lower case.
I've patched my copy to convert the string to lowercase before checking.


--- awstats.pl  2006-01-30 16:55:10.156087185 +0000
+++ awstats.pl.orig     2006-01-30 16:54:30.192974487 +0000
@@ -6297,5 +6297,5 @@
                        # HTTP request. Keep only GET, POST, HEAD, *OK*
                        # and ERR! for Webstar. Do not keep OPTIONS,
                        # TRACE
                }
-               elsif (($LogType eq 'W' || $LogType eq 'S') && ($field[$pos_method] eq 'GET' || $field[$pos_method] eq 'mms' || lc($field[$pos_method]) eq 'rtsp' || $field[$pos_method] eq 'http' || $field[$pos_method] eq 'RTP')) {
+               elsif (($LogType eq 'W' || $LogType eq 'S') && ($field[$pos_method] eq 'GET' || $field[$pos_method] eq 'mms' || $field[$pos_method] eq 'rtsp' || $field[$pos_method] eq 'http' || $field[$pos_method] eq 'RTP')) {
                        # Streaming request (windows media server,
                        # realmedia or darwin streaming server)
                }




Noted your statement that Bug has been forwarded to http://sourceforge.net/tracker/index.php?func=detail&aid=1418808&group_id=13764&atid=113764. Request was from Charles Fry <debian@frogcircus.org> to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 30 Oct 2009 11:03:47 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Tue, 18 May 2010 16:30:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Tue, 18 May 2010 16:30:03 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3003438&group_id=13764&atid=113764' from 'http://sourceforge.net/tracker/index.php?func=detail&aid=1418808&group_id=13764&atid=113764' Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Tue, 18 May 2010 16:39:05 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Wed, 19 May 2010 12:21:06 GMT) Full text and rfc822 format available.

Notification sent to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug acknowledged by developer. (Wed, 19 May 2010 12:21:06 GMT) Full text and rfc822 format available.

Message #20 received at 350601-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 350601-close@bugs.debian.org
Subject: Bug#350601: fixed in awstats 6.9.5~dfsg-3
Date: Wed, 19 May 2010 12:17:10 +0000
Source: awstats
Source-Version: 6.9.5~dfsg-3

We believe that the bug you reported is fixed in the latest version of
awstats, which is due to be installed in the Debian FTP archive:

awstats_6.9.5~dfsg-3.debian.tar.gz
  to main/a/awstats/awstats_6.9.5~dfsg-3.debian.tar.gz
awstats_6.9.5~dfsg-3.dsc
  to main/a/awstats/awstats_6.9.5~dfsg-3.dsc
awstats_6.9.5~dfsg-3_all.deb
  to main/a/awstats/awstats_6.9.5~dfsg-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 350601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated awstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 19 May 2010 13:53:50 +0200
Source: awstats
Binary: awstats
Architecture: source all
Version: 6.9.5~dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 awstats    - powerful and featureful web server log analyzer
Closes: 350601 572353 580672 580692 580693 580704
Changes: 
 awstats (6.9.5~dfsg-3) unstable; urgency=low
 .
   [ Sergey B Kirpichev ]
   * Show error messages from cron jobs.
     Closes: bug#580672, thanks to Ken Neighbors.
   * Add option to disable nightly generation of static html reports.
     Closes: bug#580692, thanks to Ken Neighbors.
   * Option to use "nice" to lower the priority of cron scripts.
     Closes: bug#580693, thanks to Ken Neighbors.
   * Set default language (en) for static reports generation
   * Cosmetic improvements to cron scripts.
     Closes: bug#580704.
   * Recognize method/protocol RTSP in uppercase.
     Closes: bug#350601, thanks to Lee Maguire.
   * Report permissions problem while reading awstats.custom.conf.
     Closes: bug#572353, thanks to Ken Neighbors.
 .
   [ Jonas Smedegaard ]
   * Reverse test logic when sourcing /etc/default/awstats to not fail if
     missing.
   * Respect TMPDIR for temporary files (i.e. use mktemp --tmpdir).
   * Update patches:
     + Drop (unapplied) patch 0011: applied upstream at some point in the
       past.
     + Unfuzz (unapplied) patch 0006.
     + Refresh patches 0006, 1015 and 1016 with compacting quilt options
       --no-index --no-timestamps -pab.
Checksums-Sha1: 
 65a0d00a9556356e27dbdddb70edba3dc1ce665c 1429 awstats_6.9.5~dfsg-3.dsc
 b6c4129ec07aac5e7d792c7ac97705243ea4d6aa 38727 awstats_6.9.5~dfsg-3.debian.tar.gz
 191e157a51391c33478e3993f182ee550b324a3a 985542 awstats_6.9.5~dfsg-3_all.deb
Checksums-Sha256: 
 de94426295c62a1af0e2e2dbaf85e9d889201c6dfc5b94a03ca2da28c2cba657 1429 awstats_6.9.5~dfsg-3.dsc
 2ded3ecf7e153309212a930a7f07d32080281024c8bcf165d64bae57bb2c4dc8 38727 awstats_6.9.5~dfsg-3.debian.tar.gz
 c23a39f8ffdc118e2a65c5fb8199e7d20af65a65a77dc6313606cc1e5e99bc07 985542 awstats_6.9.5~dfsg-3_all.deb
Files: 
 968b45d3f5f2692fa27c655abb51181e 1429 web optional awstats_6.9.5~dfsg-3.dsc
 b1f694a01ae50cb3dffb00ecec9887d9 38727 web optional awstats_6.9.5~dfsg-3.debian.tar.gz
 72d7e584ae477da97a4105e2feeb15ed 985542 web optional awstats_6.9.5~dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkvz1IMACgkQn7DbMsAkQLiN7gCgp5n+ZuhPc29u8JYadtHz8lnu
6ecAoJHDbvbUWMK/1WHfk1QSoSRvTCoJ
=WRTw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:58:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.